﻿using System;
using System.Drawing;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BC.AspNetBarcodeGeneratorTrial.All2D;

namespace BCAspNetBarcodeGeneratorDemo
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
                
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            Qrcode barcode = new Qrcode();
            barcode.SetData = "WWW.BARCODEBC.COM";
            barcode.SetUOM = UnitofMeasurement.Pixel;
            barcode.SetRotation = Rotation.RotateDown;
            barcode.SetDPI = 96;
            barcode.ApplyTilde = true;
            barcode.AutoSize = false;
            barcode.SetModuleSize = 3;
            barcode.SetModuleColor = System.Drawing.Color.DeepPink;
            barcode.SetEncodingMode = QrcodeEncodingMode.Automatic;
            barcode.ApplyStructuredAppend = false;
            barcode.SetECI = 3;
            barcode.SetECL = QrcodeECL.LevelL;
            barcode.SetFNC1 = QrcodeFNC1.None;
            barcode.SetQrcodeVersion = QrcodeVersion.Version1;
            barcode.StructuredAppendCount = 0;
            barcode.StructuredAppendIndex = 0;
            barcode.SetLeftSpace = 5;
            barcode.SetRightSpace = 5;
            barcode.SetTopSpace = 5;
            barcode.SetBottomSpace = 5;
            barcode.SetWidth = 80;
            barcode.SetHeight = 80;
            barcode.GenerateBarcode("F://test.png");
        }
       
    }
/* In addition to String, you can also output barcode to Bitmap object, Stream object, Graphics object, HttpResponse object or byte array.
             Stream stream = ...;
             barcode.GenerateBarcode(stream);  

             Bitmap barcodeInBitmap = GenerateBarcode();   
     
             Graphics graphics = ...
             barcode.GenerateBarcode(graphics);  

             HttpResponse response = ...;
             barcode.GenerateBarcode(response);
       
             byte[] barcodeInBytes = barcode.GenerateasBytes(); */
}